using System;
using System.IO;
using System.IO.IsolatedStorage;

namespace Prologika.RS.Extensibility.CustomDataProcessingExtension
{
	/// <summary>
	/// Summary description for Util.
	/// </summary>
	public class Util
	{
		public static string DATA_SOURCE = "@DataSource";
		public static string DATA_MEMBER = "@DataMember";
        public static char PARAM_DELIMITER = '|';
        /// <summary>
        /// Gets the isolated storage stream where the user settings are persisted
        /// </summary>
        /// <param name="path">Path to the isolated storage</param>
        /// <param name="m">File Mode</param>
        /// <param name="a">File Access</param>
        /// <param name="s">File Share</param>
        /// <returns></returns>
        internal static Stream GetSettingsStream(string path, FileMode m, FileAccess a, FileShare s)
        {
            return new IsolatedStorageFileStream(path, m, a, s,
                IsolatedStorageFile.GetUserStoreForAssembly());
        }
	}
}
