SELECT        SOD.SalesOrderDetailID, SOD.OrderQty, SOD.UnitPrice, CASE WHEN SOD.UnitPriceDiscount IS NULL 
                         THEN 0 ELSE SOD.UnitPriceDiscount END AS UnitPriceDiscount, SOD.CarrierTrackingNumber, SOD.SalesOrderID, P.Name, P.ProductNumber
FROM            Sales.SalesOrderDetail AS SOD INNER JOIN
                         Production.Product AS P ON SOD.ProductID = P.ProductID INNER JOIN
                         Sales.SalesOrderHeader AS SOH ON SOD.SalesOrderID = SOH.SalesOrderID
WHERE        (SOH.SalesOrderNumber = @SalesOrderNumber)
ORDER BY SOD.SalesOrderDetailID