﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="xmlns msxsl n1"
	xmlns:n1="http://www.prologika.com">
	<xsl:output  method="html" indent="yes" omit-xml-declaration="yes"/>

	<xsl:template match="/">
		<html>
			<body>
				<h2>Product Sales</h2>
				<table border="1">
					<tr bgcolor="#9acd32">
						<th>Product</th>
						<th>Reseller Sales</th>
						<th>Internet Sales</th>
						<th>Sales Summary</th>
					</tr>
					<xsl:for-each select="//ProductName">
						<tr>
							<td>
								<xsl:value-of select="./@txtProductName"/>
							</td>
							<td>
								<xsl:value-of select="DetailsGroup_Collection/DetailsGroup/@txtResellerSales"/>
							</td>
							<td>
								<xsl:value-of select="DetailsGroup_Collection/DetailsGroup/@txtInternetSales"/>
							</td>
							<td>
								<xsl:value-of select="DetailsGroup_Collection/DetailsGroup/@txtSalesSummary"/>
							</td>
						</tr>
					</xsl:for-each>
				</table>
			</body>
		</html>					
	</xsl:template>
				  

</xsl:stylesheet>
