﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.Reporting.WebForms;
using System.IO;

namespace WebReporter
{
    public class TemporaryStorage:ITemporaryStorage
    {
    #region ITemporaryStorage Members

    public System.IO.Stream  CreateTemporaryStream()
    {
        System.Diagnostics.Trace.WriteLine("CreateTemporaryStream called");
        FileStream stream = null; 
        try
        {
           
            string streamPath = String.Format(@"{0}\webreporter.tmp", System.Web.HttpContext.Current.Server.MapPath("."));
            stream = new FileStream(streamPath, FileMode.OpenOrCreate);
        }
        catch (System.Exception ex)
        {
            System.Diagnostics.Trace.WriteLine(ex.ToString());
            throw ex;
        }
        return stream;
    }

#endregion
}
}
