using System;

namespace AdventureWorks.Web
{

	/// <summary>
	/// Global constants
	/// </summary>
	public class Constants
	{
		public static string CONFIG_RS_URL					= "serverUrl";
		public static string CONFIG_REPORT_FOLDER			= "reportFolder";
		public static string CONFIG_CONNECT_STRING			= "connectionString";
		public static string CONFIG_OLAP_CONNECT_STRING		= "olapConnectionString";
		public static string CONFIG_ACCESS_RPT_DB			= "accessRptConnectionString";
		public static string CONFIG_AZMAN_CONFIG_STORE		= "azManConfigurationStore";
		public static string CONFIG_AZMAN_APPID 			= "AWReporter";
		public static string CONFIG_STREAM_ROOT				= "streamRootPath";
		public static string CACHE_OPERATIONS				= "operations";
		public static string CACHE_SLIDING_EXPIRATION		= "cacheSlidingExpiration";
		public static string CONFIG_RS_URL_CUSTOM_SECURITY	= "customServerUrl";
		
	}

	public enum ReportAccessType
	{
		URL,
		SOAP
	}

	public enum WizStatus
	{
		Back,
		Next,
		Cancel,
		Finish
	}

	public enum WizStep
	{
		Undefined,
		Welcome,
		Reports,
		Snapshots,
		Parameters,
		Export,
		Confirmation
	}

}
