USE [AdventureWorks2008]
GO


/* Insert some roles*/
IF NOT EXISTS (SELECT * FROM [Security].[Role] WHERE Name = 'Silver')
	INSERT INTO [Security].[Role]([RoleID], [Name])
	VALUES(1, 'Silver')

IF NOT EXISTS (SELECT * FROM [Security].[Role] WHERE Name = 'Gold')
	INSERT INTO [Security].[Role]([RoleID], [Name])
	VALUES(2, 'Gold')

IF NOT EXISTS (SELECT * FROM [Security].[Role] WHERE Name = 'Platinum')
	INSERT INTO [Security].[Role]([RoleID], [Name])
	VALUES(3, 'Platinum')

/* Map customers to roles*/
IF NOT EXISTS (SELECT * FROM [Security].[CustomerRole] WHERE CustomerID = 11000)
	INSERT INTO [Security].[CustomerRole]([CustomerID], [RoleID])
	VALUES(11000, 1)

IF NOT EXISTS (SELECT * FROM [Security].[CustomerRole] WHERE CustomerID = 11001)
	INSERT INTO [Security].[CustomerRole]([CustomerID], [RoleID])
	VALUES(11001, 1)

IF NOT EXISTS (SELECT * FROM [Security].[CustomerRole] WHERE CustomerID = 14501)
	INSERT INTO [Security].[CustomerRole]([CustomerID], [RoleID])
	VALUES(11003, 2)

IF NOT EXISTS (SELECT * FROM [Security].[CustomerRole] WHERE CustomerID = 11003)
	INSERT INTO [Security].[CustomerRole]([CustomerID], [RoleID])
	VALUES(11003, 3)